{% extends 'base.html' %} {% load static %} {% block title %}

<h1>Finalizar Proyecto</h1>
<ol class="breadcrumb">
    <li>
        <a>
            Evaluación
        </a>
    </li>
    <li class="active">Finalizar Proyecto</li>
</ol>
{% endblock title %}
{% block css %}
<link href="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.4/summernote.css" rel="stylesheet">
{% endblock css %}
{% block content %}
<div class="container">
    <div class="card">
        <header class="card-heading card-green" style="text-align:center">
            <h2 class="card-title">Evaluación Final</h2>
        </header>
        <div class="card-body">
            <div class="row">
                <div class="col-md-12 col-sm-12 text-center">
                    <div class="form-group row is-empty">
                        <label class="col-md-12 form-control-label">Debes decidir si aprobar o rechazar el proyecto: {{project.name}}, que tiene las siguientes calificaciones:</label>
                        <div id="grades">
                            {{ grades | safe }}
                        </div>
                        {% if rubric.desem %}
                        <div class="col-md-3 col-sm-3">
                            <div class="card">
                                <header class="card-heading bg-danger" style="padding-left:1px">
                                    <h2 class="card-title" >Desempeño</h2>
                                </header>
                                <div class="card-body">
                                    <input id="desem" name="desem" class="form-control input-mask" data-mask="0,0" placeholder="ej: 0,0" autocomplete="off" maxlength="3" type="text">
                                </div>
                            </div>
                        </div>
                        {% endif %}
                    </div>
                </div>
                <div class="col-md-12 col-sm-12">
                    <hr>
                    <p>Con estas calificaciones la nota de presentación es la siguiente:</p>
                    <hr>
                    <div class="row">
                        <div class="col-md-4 col-md-offset-4" style="text-align:center">
                            <div class="card">
                                <header class="card-heading bg-danger">
                                    <h2 class="card-title">Promedio</h2>
                                </header>
                                <div class="card-body" >
                                    <p id="promedio">{{final_score}}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12">
                    <div class="form-group is-empty">
                        <label for="comment" class="control-label">Comentario de la evaluación:</label>
                        <textarea name="comment" id="comment" cols="50" rows="4" class="form-control" placeholder="Retroalimenta tu evaluación"></textarea>
                    </div>
                </div>
            </div>
        </div>
        <div class="card-footer border-top-trans">
            <div class="row">
                <div class="col-md-6 col-sm-6">
                    <button type="button" id="reprobar" data-abet="0" class="btn btn-block btn-primary" data-dismiss="modal">Reprobar</button>
                </div>
                <div class="col-md-6 col-sm-6">
                    <button type="button" id="aprobar" data-abet="0" class="btn btn-block btn-success">Aprobar</button>
                </div>
            </div>
            {% comment %} <ul class="card-actions left-bottom">
                <li>
                    <a href="javascript:void(0)" id="reprobar" data-abet="0" class="btn btn-block btn-primary">
                        Reprobar
                        <div class="ripple-container"></div></a>
                </li>
                <li>
                    <a href="javascript:void(0)" id="aprobar" data-abet="0" class="btn btn-block btn-success">
                        Aprobar
                        <div class="ripple-container"></div></a>
                </li>
            </ul> {% endcomment %}
        </div>
    </div>
</div>
{% endblock content %}
{% block javascript %}
<script src="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.4/summernote.js"></script>
<script>
    $(document).ready(function(){
        $("#comment").summernote();
    });
    $('#aprobar').click(function(){
        {% if rubric.desem == 1 %}
        var data = {
            projectpk: "{{project.pk}}",
            desem: $("#desem").val(),
            final_grade:$("#promedio").html(),
            comment: $('#comment').val(),
            csrfmiddlewaretoken: "{{csrf_token}}"
        }
        {% else %}
        var data = {
            projectpk: "{{project.pk}}",
            final_grade:$("#promedio").html(),
            comment: $('#comment').val(),
            csrfmiddlewaretoken: "{{csrf_token}}"
        }
        {% endif %}
        
        $.ajax({
            url: '{% url "approve_project" %}',
            data: data,
            type: 'POST',
            success: function (response) {
                swal("Exelente!","Proyecto finalizado con Exito.",'success'
                ).then((value) => {
                    window.location.href = '{% url "list_evaluated_projects" %}';
                });
            },
            error: function () {
                swal("Error!", "Problema finalizar el proyecto.", "warning")
            }
        });
    });
    $('#reprobar').click(function(){
        {% if rubric.desem == 1 %}
        var data = {
            projectpk: "{{project.pk}}",
            desem: $("#desem").val(),
            final_grade: $("#promedio").html(),
            comment: $('#comment').val(),
            csrfmiddlewaretoken: "{{csrf_token}}"
        }
        {% else %}
        var data = {
            projectpk: "{{project.pk}}",
            comment: $('#comment').val(),
            final_grade: $("#promedio").html(),
            csrfmiddlewaretoken: "{{csrf_token}}"
        }
        {% endif %}

        $.ajax({
            url: '{% url "fail_project" %}',
            data: data,
            type: 'POST',
            success: function (response) {
                swal("Exelente!","Proyecto finalizado con Exito.",'success'
                ).then((value) => {
                    window.location.href = '{% url "list_evaluated_projects" %}';
                });
            },
            error: function () {
                swal("Error!", "Problema al finalizar el proyecto.", "warning")
            }
        });
    });
    $("#desem").change(function(){
        var desem_pond = parseFloat("{{rubric.pond_desem}}");
        var final_score = parseFloat("{{final_score}}");
        var desem_grade = $(this).val();
        console.log("{{rubric.pond_desem}}");
        console.log(desem_grade);
        console.log(parseFloat(desem_grade.replace(',',".")));
        console.log(parseFloat(desem_grade.replace(',',"."))*(parseFloat(desem_pond)/100));
        final_score = final_score + (parseFloat(desem_grade.replace(',',"."))*(parseFloat(desem_pond)/100))
        $("#promedio").html(final_score.toFixed(2));
    }) 
</script>
{% endblock javascript %}